Skip to content

Get Custom Object Instance by External ID

Request

Fetch a Custom Object Instance by external_id.

Security
bearerAuth
Path
custom_object_type_identifierstringrequired

The unique identifier of the custom object type that defines the structure of the custom object instance.

Example:Order
Query
external_idstring(Find by external_id)required

The unique identifier for the instance in the external system it originated from.

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.13"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.13
curl -i -X GET \
  'https://api.intercom.io/custom_object_instances/Order?external_id=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.13'

Responses

successful

Bodyapplication/json
idstring

The Intercom defined id representing the custom object instance.

Example:16032025
external_idstring

The id you have defined for the custom object instance.

Example:"0001d1c1e65a7a19e9f59ae2"
external_created_atinteger or null, (date-time)

The time when the Custom Object instance was created in the external system it originated from.

Example:1571672154
external_updated_atinteger or null, (date-time)

The time when the Custom Object instance was last updated in the external system it originated from.

Example:1571672154
created_atinteger, (date-time)

The time the attribute was created as a UTC Unix timestamp

Example:1671028894
updated_atinteger, (date-time)

The time the attribute was last updated as a UTC Unix timestamp

Example:1671028894
typestring

The identifier of the custom object type that defines the structure of the custom object instance.

Example:"Order"
custom_attributesobject

The custom attributes you have set on the custom object instance.

Response
{ "id": "24", "type": "Order", "custom_attributes": { "order_number": "ORDER-12345", "total_amount": 99.99 }, "external_id": "123", "external_created_at": null, "external_updated_at": null, "created_at": 1734537748, "updated_at": 1734537748 }